## camlmix 1.3.0

=== Makefile ===
# Type `make' for native code
# Type `make byte' for byte code instead of native code

VERSION = 1.3.0
export VERSION

SOURCES = \
  version.ml lexer.mli lexer.mll \
  parser_directive.mly directive.ml main.ml
RESULT = camlmix

.PHONY: default native byte all opt install www version force clean veryclean

default: native
native: version nc
byte: version bc

ifndef PREFIX
  PREFIX := $(shell dirname `which ocaml`)/..
endif
export PREFIX

all: byte
opt: native
install:
	install -m 0755 $(addsuffix $(EXE), \
			$(sort $(BCRESULT) $(NCRESULT))) $(PREFIX)/bin/

www: all test install archive

version:
	contents='let version = "$(VERSION)"'; \
	  if test "`cat version.ml`" != "$$contents"; then \
	    echo "$$contents" > version.ml;\
	  fi

.PHONY: examples
examples:
	cd examples && $(MAKE)

force:
	$(MAKE) clean
	$(MAKE)
	$(MAKE) archive

ARCHIVE_FILES = \
  $(SOURCES) OCamlMakefile Makefile \
  LICENSE INSTALL \
  examples/

archive:
	$(MAKE) && $(MAKE) examples
	cp examples/test.html version.ml LICENSE $$WWW/camlmix/
	rm -rf /tmp/camlmix-$(VERSION) && mkdir -p /tmp/camlmix-$(VERSION) && \
          cp -r $(ARCHIVE_FILES) /tmp/camlmix-$(VERSION) && \
	  (cd /tmp/camlmix-$(VERSION) && $(MAKE) veryclean) && \
          cd /tmp && tar czf camlmix-$(VERSION).tar.gz camlmix-$(VERSION) && \
          cd /tmp && tar cjf camlmix-$(VERSION).tar.bz2 camlmix-$(VERSION)
	mv /tmp/camlmix-$(VERSION).tar.gz /tmp/camlmix-$(VERSION).tar.bz2 \
		$$WWW/camlmix/

TRASH = META.mlx.ml langmix.* camlmix.exe
MORETRASH = *~

clean::
	cd examples && $(MAKE) clean

veryclean: clean
	rm -f $(MORETRASH)

LIBS = unix

OCAMLMAKEFILE = OCamlMakefile
include $(OCAMLMAKEFILE)

=== debian/changelog ===
camlmix (1.3.0-2) unstable; urgency=low

  * Team upload
  * Rebuild with OCaml 3.12.0 (no changes)
  * Add debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Mon, 18 Apr 2011 09:04:16 +0200

camlmix (1.3.0-1) unstable; urgency=low

  * Initial release. (Closes: #605674)

 -- Sylvain Le Gall <gildor@debian.org>  Thu, 02 Dec 2010 16:33:44 +0100

=== debian/control ===
Source: camlmix
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
  Sylvain Le Gall <gildor@debian.org>
Build-Depends-Indep:
  ocaml-nox (>= 3.11.1-3~),
  ocaml-findlib,
  dh-ocaml (>= 0.9~),
  debhelper (>= 7.0.50~)
Standards-Version: 3.9.1
Homepage: http://martin.jambon.free.fr/camlmix/
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/camlmix.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/camlmix.git

Package: camlmix
Architecture: all
Depends: ${ocaml:Depends}, ${misc:Depends}
Description: preprocessor which converts text with embedded OCaml
 Camlmix is a generic preprocessor which converts text with embedded OCaml into
 an OCaml program with embedded text. It produces text documents from one or
 several templates. OCaml toplevel statements are inserted between '## ... ##',
 and OCaml string expressions between '##= ...  ##'.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR=$(CURDIR)/debian/camlmix

include /usr/share/ocaml/ocamlvars.mk

%:
	dh --with ocaml $@

.PHONY: override_dh_auto_build
override_dh_auto_build:
	make all

.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p '$(DESTDIR)/usr/bin'
	make install 'PREFIX=$(DESTDIR)/usr'

debian/camlmix.1: debian/camlmix.mkd
	pandoc -s -w man $^ -o $@

## camlmix 1.3.1

=== Makefile ===
# Type `make' for native code
# Type `make byte' for byte code instead of native code

VERSION = 1.3.1
export VERSION

SOURCES = \
  version.ml lexer.mli lexer.mll \
  parser_directive.mly directive.ml main.ml
RESULT = camlmix

.PHONY: default native byte all opt install www version force clean veryclean

default: native
native: version nc
byte: version bc

ifndef PREFIX
  PREFIX := $(shell dirname `which ocaml`)/..
endif
export PREFIX

all: byte
opt: native
install:
	install -m 0755 $(addsuffix $(EXE), \
			$(sort $(BCRESULT) $(NCRESULT))) $(PREFIX)/bin/

www: all test install archive

version:
	contents='let version = "$(VERSION)"'; \
	  if test "`cat version.ml`" != "$$contents"; then \
	    echo "$$contents" > version.ml;\
	  fi

.PHONY: examples
examples:
	cd examples && $(MAKE)

force:
	$(MAKE) clean
	$(MAKE)
	$(MAKE) archive

TRASH = META.mlx.ml langmix.* camlmix.exe *~

clean::
	cd examples && $(MAKE) clean


LIBS = unix

OCAMLMAKEFILE = OCamlMakefile
include $(OCAMLMAKEFILE)

=== examples/Makefile ===
.PHONY: all
RESULT = simple.txt include.txt prog.ml test.html test2.c dynamic.txt \
	dynamic2.txt
all: $(RESULT)

simple.txt: simple.mlx
	../camlmix $< -o $@

include.txt: include1.mlx include2.mlx
	../camlmix include2.mlx -o include.txt

prog.ml: xpp.mlx prog.mlx
	../camlmix $^ -o $@
	ocaml prog.ml || :

test.html: test.mlx macro.ml
	../camlmix test.mlx -o $@

test2.c: test2.mlx macro.ml
	../camlmix test2.mlx -o $@

dynamic.txt: dynamic
	./dynamic "`date`" > dynamic.txt
	cat dynamic.txt
dynamic: dynamic.ml dynamic_main.ml
	ocamlc -o dynamic dynamic.ml dynamic_main.ml
dynamic.ml: dynamic.mlx
	../camlmix -c dynamic.mlx -co dynamic.ml -fun
	ocamlc -i dynamic.ml

dynamic2.txt: dynamic2
	./dynamic2 Johnny Smith 33 > dynamic2.txt
	cat dynamic2.txt
dynamic2: dynamic2.ml dynamic2_main.ml
	ocamlc -o dynamic2 dynamic2.ml dynamic2_main.ml
dynamic2.ml: dynamic2.mlx
	../camlmix -c dynamic2.mlx -co dynamic2.ml -fun
	ocamlc -i dynamic2.ml

.PHONY: clean
clean:
	rm -f $(RESULT) *.mlx.ml dynamic.ml dynamic2.ml \
		dynamic dynamic2 *~ *.cmo *.cmi

=== debian/changelog ===
camlmix (1.3.1-6) unstable; urgency=medium

  * Team upload
  * Add dependency to camlp-streams

 -- Stéphane Glondu <glondu@debian.org>  Sat, 15 Jun 2024 07:28:23 +0200

camlmix (1.3.1-5) unstable; urgency=medium

  * Team upload
  * Depend on ocaml instead of transitional ocaml-nox

 -- Stéphane Glondu <glondu@debian.org>  Tue, 12 Sep 2023 07:50:49 +0200

camlmix (1.3.1-4) unstable; urgency=medium

  * Team upload
  * Update Vcs-* to point to salsa
  * Remove Hendrik from Uploaders
  * Bump debhelper compat level to 13
  * Bump Standard-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Fri, 24 Jul 2020 12:35:16 +0200

camlmix (1.3.1-3) unstable; urgency=low

  * Team upload
  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Tue, 03 Dec 2013 08:05:17 +0100

camlmix (1.3.1-2) experimental; urgency=low

  [ Stéphane Glondu ]
  * Team upload
  * Compile with OCaml >= 4

  [ Hendrik Tews ]
  * silent lintian canonical vcs info

 -- Stéphane Glondu <glondu@debian.org>  Thu, 11 Jul 2013 18:46:58 +0200

camlmix (1.3.1-1) unstable; urgency=low

  [ Sylvain La Gall ]
  * Remove Sylvain Le Gall from uploaders

  [ Hendrik Tews ]
  * fix watch file
  * fix copyright file
  * added myself as uploader
  * import new upstream version
  * change to architecture any for native compilation and
    adapt rules and dependencies
  * bump standards version and debhelper compat level
  * add patch fix-lintian-spelling-error to fix a spelling error
  * rewrite man page from scatch

 -- Hendrik Tews <hendrik@askra.de>  Tue, 28 May 2013 11:18:37 +0200

camlmix (1.3.0-3) unstable; urgency=low

  * Team upload
  * Rebuild with OCaml 3.12.1
  * Fix typo in manpage

 -- Stéphane Glondu <glondu@debian.org>  Wed, 02 Nov 2011 07:08:49 +0100

=== debian/control ===
Source: camlmix
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 ocaml,
 ocaml-findlib,
 libcamlp-streams-ocaml-dev,
 dh-ocaml
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: http://mjambon.com/camlmix/
Vcs-Git: https://salsa.debian.org/ocaml-team/camlmix.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/camlmix

Package: camlmix
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Description: preprocessor which converts text with embedded OCaml
 Camlmix is a generic preprocessor which converts text with embedded OCaml into
 an OCaml program with embedded text. It produces text documents from one or
 several templates. OCaml toplevel statements are inserted between '## ... ##',
 and OCaml string expressions between '##= ...  ##'.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export DH_OPTIONS=-v

DESTDIR=$(CURDIR)/debian/camlmix

include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with ocaml


.PHONY: override_dh_auto_build
override_dh_auto_build:
ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
	make native
else
	make byte
endif


.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p '$(DESTDIR)/usr/bin'
	make install 'PREFIX=$(DESTDIR)/usr'
